# Schiff

The purpose of this program is to estimate the radiative properties of soft
particles with an "Approximation Method for Short Wavelength or High-Energy
Scattering" (L. Schiff, 1956). It relies on the model detailed in "Monte Carlo
Implementation of Schiff's Approximation for Estimating Radiative Properties of
Homogeneous, Simple\-Shaped and Optically Soft Particles: Application to
Photosynthetic Micro-Organisms"
([Charon et al. 2015](http://www.sciencedirect.com/science/article/pii/S0022407315003283)).

## How to build

The library relies on the [CMake](http://www.cmake.org) and the
[RCMake](https://gitlab.com/vaplv/rcmake/) package to build. It also depends
on the
[LibYAML](http://pyyaml.org/wiki/LibYAML),
[RSys](https://gitlab.com/vaplv/rsys/),
[Star-3D](https://gitlab.com/meso-star/star-3d/),
[Star-Schiff](https://gitlab.com/meso-star/star-schiff/) and
[Star-SP](https://gitlab.com/meso-star/star-sp/) libraries.

First ensure that CMake is installed on your system. Then install the RCMake
package as well as all the aforementioned prerequisites. Then generate the
project from the `cmake/CMakeLists.txt` file by appending to the
`CMAKE_PREFIX_PATH` variable the install directories of its dependencies.

## How to use

Refer to the
[manual pages](https://gitlab.com/meso-star/schiff/tree/master/doc)
for informations on the schiff program, the list of its options and the file
formats on which it relies.

## Release notes

### Version 0.3.1

- Reformat the man pages.

## License

Schiff is developed by [|Meso|Star>](http://www.meso-star.com) for the
the [National Center for Scientific Research](http://www.cnrs.fr/index.php)
(CNRS). It is a free software copyright (C) CNRS 2015-2016 released under the
[OSI](http://opensource.org)-approved GPLv3+ license. You are welcome to
redistribute it under certain conditions; refer to the COPYING file for
details.
